<?php
function up_config_module_auto($NOM_MODULE){
	if (!etat_files(ADD_PATH_ADMIN.TBL_CONFIG_GEN)) return "<p class='erreur'>".ERROR.THE_FILES.DOES_NOT_EXIST." ". WRITE_NOT_POSSIBLE."</p>";
	$cat='';
	if (is_array($_POST[$NOM_MODULE]))
		while ($r=each($_POST[$NOM_MODULE]))
			$cat .=' SET '.$r['key'].' =  \''.$r['value'].'\' ';
	elseif (!empty($_POST[$NOM_MODULE]))
		$cat.=$_POST[$NOM_MODULE];
		$query=' UPDATE '.TBL_CONFIG_GEN.' '.$cat.' WHERE  id =  '.$NOM_MODULE;
		echo $query;
	return sql ('UPDATE',ADD_PATH_ADMIN.TBL_CONFIG_GEN,'_Config_gen',$query,$NOM_MODULE);
}
?>